Subject: Re: [pim] Robert Wilton's No Objection on draft-ietf-pim-igmp-mld-extension-06: (with COMMENT)

From: Alvaro Retana <[email-masked]>
Date: Tue, 1 Feb 2022 11:41:25 -0800

On January 31, 2022 at 9:54:39 AM, Robert Wilton wrote:

Rob:

Hi!

Thanks for the review!

...
> Thanks for this document. I found the use of the term "extension" to perhaps
> not be as clear as it could be. In most places the reference is to Extension
> in the singular, and the attributes carried within the extension as TLVs.
> However, section 5 talks of "as new extensions are defined". I presume that
> what is meant here are "new extension TLVs" and not a different new
> Extension to replace the Extension defined in this document.
>
> Related to the ambiguity above, although the document makes it clear how an
> implementation is expected to behave if it doesn't understand the
> "extension" format, it doesn't define how an implementation should behave if
> it receives an extension TLV that it doesn't understand. I presume, for
> backwards compatibility, that the default behavior is that receivers MUST
> ignore extension TLVs that they don't understand and I think that needs to
> be specified here.

Right §4 says this: "Unsupported types MUST be ignored."

But that only supports your point -- the names are inconsistent and
can be confusing.  I'll make sure we make one more clarifying pass
before publication.

Thanks!

Alvaro.